Zum Hauptinhalt springen
PUT
/
marketing
/
campaigns
/
2026-03
/
{campaignGuid}
/
spend
/
{spendId}
Update spend item
curl --request PUT \
  --url https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid}/spend/{spendId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 123,
  "name": "<string>",
  "order": 123,
  "description": "<string>"
}
'
{
  "amount": 123,
  "createdAt": 123,
  "id": "<string>",
  "name": "<string>",
  "order": 123,
  "updatedAt": 123,
  "description": "<string>"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

campaignGuid
string
erforderlich

The unique identifier of the campaign.

spendId
integer<int64>
erforderlich

The unique identifier of the spend item to update.

Body

application/json
amount
number
erforderlich

The monetary value of the spend item.

name
string
erforderlich

The name of the spend item.

order
integer<int32>
erforderlich

The sequence number indicating the order of the spend item.

description
string

A brief description of the spend item.

Antwort

successful operation

amount
number
erforderlich

The monetary amount of the spend item, represented as a number.

createdAt
integer<int64>
erforderlich

A Unix timestamp in milliseconds indicating when the spend item was created.

id
string
erforderlich

The unique identifier for the spend item, represented as a string.

name
string
erforderlich

The name of the spend item, represented as a string.

order
integer<int32>
erforderlich

An integer that specifies the order of the spend item.

updatedAt
integer<int64>
erforderlich

A Unix timestamp in milliseconds indicating when the spend item was last updated.

description
string

A brief description of the spend item, represented as a string.

Last modified on April 9, 2026